Bug 106952 - Update cell style can bypass cell protection
Summary: Update cell style can bypass cell protection
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 106965 Calc-Styles Cell-Sheet-Protection 96157
  Show dependency treegraph
 
Reported: 2017-04-04 15:22 UTC by Jean-Sebastien Bevilacqua
Modified: 2020-12-17 03:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Sebastien Bevilacqua 2017-04-04 15:22:56 UTC
Steps to repoduce:

- Open calc
- Create a second sheet
- Protect the second sheet
- Come back on the first sheet and select a cell
- Change the background

-> It will bypass protection on the second cell

This bug affects master and I'm working on it.
Comment 1 Jean-Sebastien Bevilacqua 2017-04-05 08:00:42 UTC
The last procedure was not complete so here the complete one:

Steps to repoduce:

- Open calc
- Create a second sheet
- Protect the second sheet
- Come back on the first sheet and select both sheets
- Select a cell or several cells
- Change the background

-> It will bypass protection on the second cell

This bug affects master and I'm working on it.
Comment 2 Jean-Sebastien Bevilacqua 2017-05-03 15:41:35 UTC
Gerrit patch: https://gerrit.libreoffice.org/#/c/36091/
Comment 3 Xisco Faulí 2017-10-19 08:41:02 UTC
Dear Jean-Sebastien Bevilacqua,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 4 QA Administrators 2018-10-20 02:53:43 UTC Comment hidden (obsolete)
Comment 5 Jean-Sebastien Bevilacqua 2018-12-17 13:08:47 UTC
Hello,

I will do another proposition when I will have time.
Comment 6 QA Administrators 2020-12-17 03:50:17 UTC
Dear Jean-Sebastien Bevilacqua,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug